Skip to main content
GET
/
api
/
tasks
/
{task_id}
/
messages
Get Task Messages
curl --request GET \
  --url https://api.example.com/api/tasks/{task_id}/messages \
  --header 'Authorization: Bearer <token>'
[
  {
    "content": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "role": "<string>",
    "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "attachments": [],
    "has_plan": false,
    "is_streaming": false,
    "last_event_id": "<string>",
    "plan_version": 123,
    "tool_calls": [
      {}
    ],
    "user_email": "<string>",
    "user_name": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string<uuid>
required

Response

Successful Response

content
string
required
created_at
string<date-time>
required
id
string<uuid>
required
role
string
required
task_id
string<uuid>
required
user_id
string<uuid>
required
attachments
TaskAttachmentResponse · object[]
has_plan
boolean
default:false
is_streaming
boolean
default:false
last_event_id
string | null
plan_version
integer | null
tool_calls
Tool Calls · object[] | null
user_email
string | null
user_name
string | null